# uraniacast

Version 0.19.0<br>
[NEWS](NEWS.org)
[Download](http://sourceforge.net/project/showfiles.php?group_id=259562)

uraniacast is a non-interactive podcast downloader. It's a CLI app
that works under Linux or FreeBSD.

uraniacast configuration file (by default `~/.uraniacast/config`) may
look like this:

	set feed(hist.in_our_time) {
		url {http://downloads.bbc.co.uk/podcasts/radio4/iot/rss.xml}
	}

`hist.in_our_time` is just a name we gave to a particular podcast feed.


## Features

* Filtering by categories and media types. For example, if a feed
  contains links to both video and audio and we want just audio.

* Auto-processing podcast files after downloading them (for example, to
  change/add ID3 mp3 tags or to convert from ogg to mp3 or whatever).

* OPML import/export.


## Docs & config

* [A configuration example w/ comments](config.sample)
* [uraniacast.1](uraniacast.1.html)
* [uraniacast_history.1](uraniacast_history.1.html)
* [uraniacast_opml.1](uraniacast_opml.1.html)
* [uraniacast_treatment.7](uraniacast_treatment.7.html)


## Requirements

### To Run

* Tcl >= 8.5.x
* SQLite 3.x **w/ Tcl bindings**
* tDOM >= 0.8.2
* HTTP retriever such as curl
* TclX >= 8.4

For treatment scripts only:

* perl-Image-ExifTool
* ffmpeg
* id3lib

### To Build

* asciidoc
* pandoc
* GNU make
* GNU tar

## Source Code

[View](http://sourceforge.net/p/uraniacast/code/)
[TODO](TODO.org)

	git clone git://git.code.sf.net/p/uraniacast/code uraniacast


## Installation

### Pre-installation Steps

If you're installing from .rpm or .txz, pandoc & asciidoc are not required.

* Fedora 21

		# yum install m4 tdom tclx sqlite-tcl curl asciidoc pandoc

* FreeBSD 10 (earlier versions are not supported)

		# pkg install bash gtar gmake curl tclX tcl-wrapper tdom tcl-sqlite3 \
			hs-pandoc asciidoc docbook-xsl libxslt

* Ubuntu/Debian (this section is probably outdated)

		# apt-get install m4 tcl8.5 libsqlite3-tcl tdom tclx8.4 curl \
			asciidoc pandoc

### From Sources

1. Unpack the tarball in any directory. We will refer to the result as
   `$DIR`.

2. Type:

		$ cd $DIR
		$ make

	and as root

		# make install

	(replace "make" w/ "gmake" for FreeBSD). This will install files in
	usual system directories under `/usr` prefix for Linux &
	`/usr/local` prefix for FreeBSD. If you want a different location,
	just add `PREFIX=/some/dir` as a make parameter.

		$ make PREFIX=/home/bob/software install

### From Packages

* Fedora

		# rpm -i uraniacast-X.XX.X-Y.fcZZ.noarch.rpm

* FreeBSD

		# pkg install -U uraniacast-X.XX.X.txz


## Setup

1. Run "uraniacast". It will give you an error:

		 uraniacast error: config: Tcl: couldn't read \
			file "~/.uraniacast/config": no such file or directory

	That's OK, don't worry. Type:

		 $ cp /usr/share/uraniacast/config.sample ~/.uraniacast/config
		 $ chmod +w ~/.uraniacast/config

	Edit `~/.uraniacast/config` file. Remove all "treatment"
	lines there for this time.

2. Read `uraniacast(1)` man page.

3. Finally, type:

		 $ uraniacast -vs

	then go to `~/.uraniacast/media` and enjoy.


## BUGS

[Doesn't work](https://github.com/tDOM/tdom/issues/21) w/ this
particular Tcl versions:

* 8.5.16
* 8.6.2


### FreeBSD

* You may encounter
  [a buggy version of tcl-wrapper](http://lists.freebsd.org/pipermail/freebsd-tcltk/2014-October/000162.html).
* If you install ffmpeg w/ pkg instead of ports, you won't get mp3
  support in `uraniacast_t_convert.sh` script.
* Why are you still using fbsd? It's not 2000 anymore.

## License

MIT. Copyright (c) 2009
[Alexander Gromnitsky](mailto:alexander.gromnitsky@gmail.com)

<div align='right'>
<a href="http://sourceforge.net/projects/uraniacast"><img
src="http://sflogo.sourceforge.net/sflogo.php?group_id=259562&amp;type=8"
width="80" height="15" alt="Get uraniacast at SourceForge.net. Fast,
secure and Free Open Source software downloads" /></a>
</div>
