required := NAME SF_USER CLOUD_WEB_FILES CLOUD_TARBALL_DIR SF_FILES_ID
$(foreach idx,$(required),$(if $($(idx)),,$(error $(idx) variable is empty)))

SF_PROJECT := $(NAME)

SF_WEB_HOST := web.sourceforge.net
SF_WEB_PATH := /home/project-web/$(SF_PROJECT)/htdocs

SF_SHELL_HOST := shell.sourceforge.net

SF_FILES_HOST := frs.sourceforge.net
SF_FILES_PATH := /home/frs/project/${SF_FILES_ID}/$(SF_PROJECT)

.PHONY: ssh-create
ssh-create:
	ssh -t $(SF_USER),$(SF_PROJECT)@$(SF_SHELL_HOST) create

.PHONY: ssh
ssh:
	ssh $(SF_USER),$(SF_PROJECT)@$(SF_SHELL_HOST)

.PHONY: deploy-tarball
deploy-tarball:
	rsync -avP -e ssh $(CLOUD_TARBALL_DIR)/* \
		$(SF_USER)@$(SF_FILES_HOST):$(SF_FILES_PATH)/$(SF_PROJECT)/

.PHONY: deploy-web
deploy-web:
	rsync -avPL -e ssh $(CLOUD_WEB_FILES) \
		$(SF_USER)@$(SF_WEB_HOST):$(SF_WEB_PATH)/
