errx()
{
    echo "${0##*/} error: $1" 1>&2
    exit 1
}

warnx()
{
    echo "${0##*/} warning: $1" 1>&2
}

# Return >=1 on error.
#
# Usage: prerequisites foo bar || exit 1
prerequisites()
{
	local r=0
	for idx in "$@"
	do
		which $idx > /dev/null 2>&1 || {
			warnx "'$idx' not found in path"
			r=$((r+1))
		}
	done

	return $r
}

# Usage: treatment_begin 'mp3 tagging...'
treatment_begin()
{
	[ -z "$1" ] && errx 'treatment_begin() requires a parameter'
	printf '%s ' "$1"
}

treatment_end()
{
	ec=$?
	[ $ec -ne 0 ] && {
		echo FAILED
		exit $ec
	}
	echo ok
}

# $1 - file name to threat
#
# Return a log file name.
treatment_log()
{
	[ -z "$URANIACAST_LOGS" ] && errx 'treatment_log_dir(): missing URANIACAST_LOGS env var'
	[ -z "$URANIACAST_FEED_CUR" ] && errx 'treatment_log_dir(): missing URANIACAST_FEED_CUR env var'
	[ -z "$1" ] && errx 'treatment_log_dir(): invalid $1'

	local dir="$URANIACAST_LOGS/$URANIACAST_FEED_CUR/treatments"
	mkdir -p "$dir"
	echo "$dir/${0##*/}-${1##*/}.txt"
}
