#!/bin/sh

# This script was written with special guidelines for uraniacast because
# it is intended to run by uraniacast, although it may be used as a
# standalone program as well.
#
# See uraniacast_treatment(7).
#
# Config example:
#
# treatment {uraniacast_t_rename.sh %f mp3 %a %A %s %y}

SCRIPT_PATH=$(dirname $(realpath $0))
. $SCRIPT_PATH/lib/bourne/helper.sh

[ ! -z "$1" ] && [ -r "$1" ] || \
	errx "Usage: ${0##*/} some.file desired_file_ext artist album song year"

d=`dirname "$1"`
extension=$2
[ -z "$extension" ] && extension=omglol.mp3

n=$(echo "$6-$3-$4-$5.$extension" | sed 's/[^A-Za-z0-9_,.-]/_/g')

treatment_begin "renaming to '$n'..."
mv "$1" "$d/$n" > /dev/null 2>&1

treatment_end
